Get Score
curl --request POST \
--url https://api.birdeye.com/resources/v1/competitors/competitive-insight/categories/{businessNumber} \
--header 'Content-Type: application/json' \
--data '
{
"sourceType": "<string>",
"sources": [
"<unknown>"
],
"timePeriodSelected": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"competitors": [
{
"competitorId": 123,
"compAccountIds": [
"<unknown>"
]
}
]
}
'import requests
url = "https://api.birdeye.com/resources/v1/competitors/competitive-insight/categories/{businessNumber}"
payload = {
"sourceType": "<string>",
"sources": ["<unknown>"],
"timePeriodSelected": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"competitors": [
{
"competitorId": 123,
"compAccountIds": ["<unknown>"]
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
sourceType: '<string>',
sources: ['<unknown>'],
timePeriodSelected: '<string>',
startDate: '<string>',
endDate: '<string>',
competitors: [{competitorId: 123, compAccountIds: ['<unknown>']}]
})
};
fetch('https://api.birdeye.com/resources/v1/competitors/competitive-insight/categories/{businessNumber}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cats": [
{
"catId": 16643,
"catName": "ambience",
"catStats": [
{
"entId": 398331,
"entName": "Social Stress",
"competitor": false,
"grade": "A",
"colorCode": "#32661d",
"avgScr": 4.4,
"ct": 3146
}
],
"subCats": [
{
"catId": 16644,
"catName": "xyx",
"catStats": [
{
"entId": 398331,
"entName": "Social Stress",
"competitor": false,
"grade": "A",
"colorCode": "#32661d",
"avgScr": 4.1,
"ct": 1173
}
]
}
]
},
{
"catId": 15299,
"catName": "test1",
"catStats": [
{
"entId": 398331,
"entName": "Social Stress",
"competitor": false,
"grade": "B+",
"colorCode": "#a0cfa2",
"avgScr": 3.7,
"ct": 2249
}
]
}
]
}{
"code": 1161,
"message": "Invalid API key"
}{
"code": 1011,
"message": "Business id is invalid"
}{
"code": 89,
"message": "Rate limit exceeded"
}Competitor
Competitive Insight Category
Get Score retrieves Insights category details for a competitor.
POST
/
v1
/
competitors
/
competitive-insight
/
categories
/
{businessNumber}
Get Score
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Media type of the JSON request body.
Path Parameters
Account Business Number.
Body
application/json
- Option 1
- Option 2
Type of source e.g. review [by default] or social.
Aggregation sources.
For all time : all.
Date from which data has to be fetched[MM/DD/YYYY].
Date until which data has to be fetched[MM/DD/YYYY].
List of competitors
Show child attributes
Show child attributes
Response
OK
⌘I